Module jdk.httpserver
Package com.sun.net.httpserver

# Class HttpsExchange

java.lang.Object
com.sun.net.httpserver.HttpExchange
com.sun.net.httpserver.HttpsExchange

    public abstract class HttpsExchange
    extends HttpExchange

This class encapsulates a HTTPS request received and a response to be generated in one exchange and defines the extensions to HttpExchange that are specific to the HTTPS protocol.

Since:
  1.6

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `HttpsExchange()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`abstract SSLSession` | `getSSLSession()` | Get the SSLSession for this exchange.

### Methods declared in class com.sun.net.httpserver.HttpExchange

`close, getAttribute, getHttpContext, getLocalAddress, getPrincipal, getProtocol, getRemoteAddress, getRequestBody, getRequestHeaders, getRequestMethod, getRequestURI, getResponseBody, getResponseCode, getResponseHeaders, sendResponseHeaders, setAttribute, setStreams`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpsExchange

protected HttpsExchange()

## Method Details

### getSSLSession

public abstract SSLSession getSSLSession()
Get the SSLSession for this exchange.

Returns:
  the SSLSession